<?php if($args['question']->video_url != ''): ?>

	<div class="entusiastics-question-video">

		<?php if($args['question']->video_type == 'youtube') { ?>

			<div id="player"></div>

			<script>

				var tag = document.createElement('script');

				tag.src = "https://www.youtube.com/iframe_api";
				var firstScriptTag = document.getElementsByTagName('script')[0];
				firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);

				var player;
				function onYouTubeIframeAPIReady() {
					player = new YT.Player('player', {
						height: '470',
						width: '838',
						playerVars : {
							'autoplay' : 0,
							'rel' : 0,
							'showinfo' : 0,
							'egm' : 0,
							'showsearch' : 0,
							'controls' : 1,
							'modestbranding' : 1,
						},
						videoId: '<?php echo $args['question']->video_url ?>',
						events: {
							'onStateChange': onPlayerStateChange
						}
					});
				}

				function onPlayerReady(event) {
					event.target.playVideo();
				}

				var done = false;
				function onPlayerStateChange(event) {
					if (event.data == 0) {
						jQuery('#entusiastics-choices-wrapper').fadeIn();
					}
				}

				function stopVideo() {
					player.stopVideo();
				}
			</script>

		<?php } 

		if($args['question']->video_type == 'vimeo') { ?>
			<iframe src="<?php echo $args['question']->video_url ?>" width="838" height="470" frameborder="0"></iframe>
			<script src="https://player.vimeo.com/api/player.js"></script>
			<script>
				jQuery(document).ready(function(){

					var iframe = jQuery('#container iframe');
					var player = new Vimeo.Player(iframe);

					player.on('ended', function() {
						jQuery('#entusiastics-choices-wrapper').fadeIn();
						console.log('Finished.');
					});

				});
			</script>
		<?php }

		if($args['question']->video_type == 'library') { ?>
			<video width="838" height="470" controls>
				<source src="<?php echo $args['question']->video_url ?>" type="video/mp4"></source>
				<?php echo _e('Su navegador no soporta la etiqueta de vídeo.', 'entusiastics-quiz-game'); ?>
			</video>
			<script type='text/javascript'>
				document.getElementById('myVideo').addEventListener('ended', myHandler, false);
				function myHandler(e) {
					jQuery('#entusiastics-choices-wrapper').fadeIn();
				}
			</script>
		<?php } ?>

	</div>

<?php endif;?>

<?php if(!empty($args['question']->image_url)):
	$with_image = 'with-image';
	endif;  ?>